edu.isi.pegasus.planner.provisioner

## Class OccupationDiagram.NodeComp

- java.lang.Object
- - edu.isi.pegasus.planner.provisioner.OccupationDiagram.NodeComp

All Implemented Interfaces:
  java.util.Comparator<Node>

Enclosing class:
  OccupationDiagram

    private class OccupationDiagram.NodeComp
    extends java.lang.Object
    implements java.util.Comparator<Node>

Comparator which compare the schedulable duration of two nodes

### Constructor Summary

Constructors
`private` `NodeComp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Node a, Node b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### NodeComp

    private NodeComp()

### Method Detail

#### compare

    public int compare(Node a,
                       Node b)

Specified by:
  `compare` in interface `java.util.Comparator<Node>`